from server.consts import LAKE_RELATIONS_PATH


# Writes contents of a lake json file to the response
def get_map_data(self, file_name: str, measurement: bool):
    """
        Reads a map file and writes its contents to the response object.

            Parameters:
                self (BaseHTTPRequestHandler): A instance of a BaseHTTPRequestHandler
                file_name (str): The name of the requested file/lake
                measurement (bool): Whether the file is of type _measurements.json or _div.json
    """
    try:
        if measurement:
            file_type = "_measurements.json"
        else:
            file_type = "_div.json"

        # Extract contents from JSON file
        with open(LAKE_RELATIONS_PATH + file_name + file_type, "r") as file:
            data = file.read()

        # Set HTTP headers
        self.send_response(200)
        self.send_header("Content-type", "application/json")
        self.end_headers()

        # Write contents of the JSON file to response
        self.wfile.write(data.encode('utf-8'))
    except FileNotFoundError:
        self.send_response(404)
        self.send_header("Content-type", "application/json")
        self.end_headers()
    except Exception:
        self.send_response(500)
        self.send_header("Content-type", "application/json")
        self.end_headers()

